curl --request POST \
--url https://api.paywint.com/api/platform/address/create-payee-address/{user_id} \
--header 'Content-Type: application/json' \
--header 'X-Platform-ID: <x-platform-id>' \
--header 'X-Signature: <x-signature>' \
--data '
{
"payee_id": "f47ac10b-****-****-****-0e02b2c3d479",
"name": "John",
"address_line_1": "123 Main Street, Apt 4B",
"city": "New York",
"state": "NY",
"zipcode": "10001",
"country": "United States",
"last_name": "Smith",
"address_line_2": "123 Main Street, Apt 4B",
"company_name": "Meta Corp"
}
'import requests
url = "https://api.paywint.com/api/platform/address/create-payee-address/{user_id}"
payload = {
"payee_id": "f47ac10b-****-****-****-0e02b2c3d479",
"name": "John",
"address_line_1": "123 Main Street, Apt 4B",
"city": "New York",
"state": "NY",
"zipcode": "10001",
"country": "United States",
"last_name": "Smith",
"address_line_2": "123 Main Street, Apt 4B",
"company_name": "Meta Corp"
}
headers = {
"X-Platform-ID": "<x-platform-id>",
"X-Signature": "<x-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Platform-ID': '<x-platform-id>',
'X-Signature': '<x-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
payee_id: 'f47ac10b-****-****-****-0e02b2c3d479',
name: 'John',
address_line_1: '123 Main Street, Apt 4B',
city: 'New York',
state: 'NY',
zipcode: '10001',
country: 'United States',
last_name: 'Smith',
address_line_2: '123 Main Street, Apt 4B',
company_name: 'Meta Corp'
})
};
fetch('https://api.paywint.com/api/platform/address/create-payee-address/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed.",
"data": {
"address_id": "a1b2c3d4-****-****-****-e5f6g7h8i9j0",
"fist_name": "John",
"last_name": "Doe",
"address_line_1": "123 Main Street, Apt 4B",
"address_line_2": "123 Main Street, Apt 4B",
"company_name": "Meta Corp",
"city": "New York",
"state": "NY",
"zipcode": "10001",
"country": "United States",
"is_default": false,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
},
"queryGeneratedTime": 1718006400
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Add Payee Address
Creates a new address for an existing payee contact.
This endpoint will:
- Verify the payee exists and belongs to the specified user
- Validate the address information and format
- Check that the payee hasn’t exceeded the maximum of 5 addresses
- Create and store the new address for future check payments
Each payee can have up to 20 different addresses to support multiple locations or address changes. These addresses can be used when sending physical check payments.
Headers
Unique platform identifier (UUID). You receive this during onboarding. Must be sent with every API request.
HMAC-SHA256 request signature for authentication. Use your platform secret key to compute it as: METHOD + PATH + QUERY + BODY_HASH.
Path Parameters
Unique identifier (UUID) of the user
Body
Unique identifier (UUID) of the payee for whom this address is being created.
"f47ac10b-****-****-****-0e02b2c3d479"
Recipient's first name.
2 - 100"John"
Street address including apartment, suite, or unit number.
100"123 Main Street, Apt 4B"
City name.
40"New York"
State, province, or region.
30"NY"
Postal code or ZIP code.
10"10001"
Country name.
40"United States"
Recipient's last name (optional).
100"Smith"
Street address including apartment, suite, or unit number.
100"123 Main Street, Apt 4B"
Full name of the payee's company.
100"Meta Corp"
Response
Successful Response
Indicates whether the request was processed successfully.
true
A short, human-readable message describing the result of the request.
"Operation completed."
The main response payload, if applicable
Show child attributes
Show child attributes
The Unix timestamp (in seconds) indicating when the response was generated.
1718006400

